Subject: RE: [SWIPL] SWI-cpp.h throwing an exception for an unknown reason.

From: "Stephen Gilmour" <[email-masked]>
Date: Thu, 13 Dec 2001 21:02:07 +1100

Thanks.  I found the answer.  I have to have the PlEngine statement in the
same function as the PlTermv declaration.  Works well now.

Thanks
Steve

-----Original Message-----
From: Jan Wielemaker [mailto:[email-masked]]
Sent: Thursday, 13 December 2001 8:54 PM
To: [email-masked]; [email-masked];
[email-masked]
Subject: Re: [SWIPL] SWI-cpp.h throwing an exception for an unknown
reason.

> This class keeps throwing an exception and I don't know why.  It happens
on
> line 20:
>
> PlTermv av(10);
>
> I have no idea why this is occuring and any help would be useful.

The program is incomplete, which makes testing a bit hard.  Generally
this problem is caused by the engine failed to load or already destroyed
or, if you call Prolog in a loop, failing to reclaim term-handles using
PlFrame.  See manual.

	Cheers --- Jan